# integrate-with

## Purpose

The `integrate-with` command allows Griffon to be integrated with a variety of IDEs and build systems.

## Examples

    griffon integrate-with --eclipse --intellij --textmate --ant --idea

## Description

Usage:

    griffon integrate-with [options]

The `integrate-with` command will integrate Griffon with different IDEs and build systems based on the arguments provided. For example the `eclipse` command will produce Eclipse `project` and `classpath` for use with SpringSource STS.

The command is however extensible. For example if you want to provide a `myide` command you can do so by creating an `_Events.groovy` file and handling the `IntegrateWithStart` event:

    eventIntegrateWithStart = {
        binding.integrateMyide = {
            // your code here
        }
    }

Options:

- `ant` - Generates a build.xml file.
- `eclipse` - Generates Eclipse .project and .classpath files.
- `gradle` - Generates a build.gradle file.
- `idea` - Generates IntelliJ IDEA project files.
- `intellij` - Generates IntelliJ IDEA project files.
- `textmate` - Generates TextMate project files.